# Generated by Django 3.2.13 on 2022-06-25 20:46

import aleksis.core.mixins
import ckeditor.fields
import django.contrib.sites.managers
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('sites', '0002_alter_domain_unique'),
    ]

    operations = [
        migrations.CreateModel(
            name='DisplayGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('slug', models.SlugField(max_length=255, verbose_name='Slug')),
                ('site', models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.sites.managers.CurrentSiteManager()),
            ],
        ),
        migrations.CreateModel(
            name='Slide',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveSmallIntegerField(verbose_name='Order')),
                ('display_group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='buelleten.displaygroup', verbose_name='Display group')),
                ('polymorphic_ctype', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_buelleten.slide_set+', to='contenttypes.contenttype')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=(models.Model, aleksis.core.mixins.PureDjangoModel),
        ),
        migrations.CreateModel(
            name='ForeignURLSlide',
            fields=[
                ('slide_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='buelleten.slide')),
                ('url', models.URLField(max_length=255, verbose_name='URL')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('buelleten.slide',),
        ),
        migrations.CreateModel(
            name='StaticContentSlide',
            fields=[
                ('slide_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='buelleten.slide')),
                ('content', ckeditor.fields.RichTextField(verbose_name='Content')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('buelleten.slide',),
        ),
        migrations.CreateModel(
            name='UploadedFileSlide',
            fields=[
                ('slide_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='buelleten.slide')),
                ('file', models.FileField(upload_to='buelleten/uploaded_file_slides/', validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['pdf', 'jpg', 'jpeg', 'png', 'tif', 'bmp', 'ppm', 'avi', 'mov', 'mp4', 'mkv', 'webm', 'ogv', 'mpg', 'mpeg', 'ts', 'flv'])])),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('buelleten.slide',),
        ),
        migrations.CreateModel(
            name='Display',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('hostname', models.CharField(max_length=255, verbose_name='Hostname')),
                ('display_group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='buelleten.displaygroup', verbose_name='Display group')),
                ('site', models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.sites.managers.CurrentSiteManager()),
            ],
        ),
    ]
